EvumiDocumentationDashboard

Sites API

Create goal idempotently

PUT /api/v1/sites/goals

PUT /api/v1/sites/goals

Permission: Sites. Up to 600 requests per key per hour.

Authentication

Send Authorization: Bearer $EVUMI_API_KEY from your server. Read the permission and rate-limit guide.

Request body

{
  "type": "object",
  "properties": {
    "site_id": {
      "type": "string"
    },
    "goal_type": {
      "enum": [
        "event",
        "page"
      ]
    },
    "event_name": {
      "type": "string"
    },
    "page_path": {
      "type": "string"
    },
    "display_name": {
      "type": "string"
    },
    "custom_props": {
      "type": "object",
      "additionalProperties": {
        "type": "string"
      }
    }
  },
  "required": [
    "site_id",
    "goal_type"
  ],
  "additionalProperties": false
}

Responses

StatusMeaning
200Success. v2 array order matches the requested metrics and dimensions.
400Invalid parameters
401Invalid API key
403Insufficient permission
404Site outside authorized scope
429Too many requests